package com.extensibility.util.regexpr;

class CharRange {
   protected char first;
   protected char last;

   CharRange(char var1) {
      this.first = var1;
      this.last = var1;
   }

   CharRange(char var1, char var2) {
      this.first = var1;
      this.last = var2;
   }

   void setLast(char var1) {
      this.last = var1;
   }

   char getFirst() {
      return this.first;
   }

   char getLast() {
      return this.last;
   }

   boolean matches(char var1) {
      return var1 >= this.first && var1 <= this.last;
   }

   boolean matches(String var1) {
      return var1.length() == 1 && this.matches(var1.charAt(0));
   }

   protected String charString(char var1) {
      if (var1 >= ' ' && var1 < 255) {
         switch (var1) {
            case '\t':
               return "\\t";
            case '\n':
               return "\\n";
            case '\r':
               return "\\r";
            case '(':
            case ')':
            case '*':
            case '+':
            case '-':
            case '.':
            case '?':
            case '[':
            case ']':
            case '^':
            case '{':
            case '|':
            case '}':
               return String.valueOf("\\").concat(String.valueOf(var1));
            case '\\':
               return "\\\\";
            default:
               return String.valueOf("").concat(String.valueOf(var1));
         }
      } else {
         return String.valueOf("\\u").concat(String.valueOf(Integer.toHexString(var1)));
      }
   }

   public String toString() {
      return this.first == this.last ? this.charString(this.first) : String.valueOf(String.valueOf(this.charString(this.first)).concat(String.valueOf("-"))).concat(String.valueOf(this.charString(this.last)));
   }
}
